package cn.org.bjca.trust.java.imserver.entitys;


import cn.org.bjca.trust.java.imserver.entitys.converter.AbstractBaseTimeEntity;
import jakarta.persistence.Entity;
import lombok.Data;

@Entity
@Data
public class DeviceEntity extends AbstractBaseTimeEntity {
    private int _uid;
    private String deviceId;
    // 厂商 MANUFACTURER
    private String manufacturer;
    // 品牌 BRAND
    private String brand;
    // 型号 MODEL
    private String model;
    // cpu CPU_ABI
    private String cpuAbi;
    // 指纹  FINGERPRINT
    private String fingerprint;
    // SUPPORTED_32_BIT_ABIS
    private String supported32BitAbis;
    // SUPPORTED_64_BIT_ABIS
    private String supported64BitAbis;
    // SUPPORTED_ABIS
    private String supportedAbis;
}
