package cn.org.bjca.trust.java.imserver.entitys;


import cn.org.bjca.trust.java.imserver.entitys.converter.AbstractBaseTimeEntityNoKey;
import jakarta.persistence.*;
import lombok.Data;

@Entity
@Data
public class UserInfo extends AbstractBaseTimeEntityNoKey {
    private String userId;
    @Id
    @Column(unique = true)
    private String token;
    private String password;
    private String appId;
    private String osType;
    private String nickName;
    private String faceUrl;
    private String gender;

    public UserInfo copy(){
        UserInfo userInfo = new UserInfo();
        userInfo.setUserId(this.getUserId());
        userInfo.setToken(this.getToken());
        userInfo.setNickName(this.getNickName());
        userInfo.setPassword(this.getPassword());
        userInfo.setFaceUrl(this.getFaceUrl());
        userInfo.setOsType(this.getOsType());
        userInfo.setGender(this.getGender());
        userInfo.setAppId(this.getAppId());
        userInfo.setUpdateTime(this.getUpdateTime());
        userInfo.setCreateTime(this.getCreateTime());
        return userInfo;
    }
}
