package cn.org.bjca.trust.java.imserver.im.bean;


import cn.org.bjca.trust.java.imserver.entitys.converter.AbstractBaseTimeEntity;
import cn.org.bjca.trust.java.imserver.enums.PacketType;
import jakarta.persistence.MappedSuperclass;
import lombok.Data;

import java.util.UUID;

@MappedSuperclass
@Data
public abstract class PacketMessage extends AbstractBaseTimeEntity {
    public PacketMessage() {

    }
    /**
     * 消息id
     */
    private String msgId = UUID.randomUUID().toString();
    private PacketType packetType;
    private long timestamp = System.currentTimeMillis();
    private String appId;
    private String userName;
    private String osType;
    private String token;

    public PacketMessage(PacketType packetType) {
        this.packetType = packetType;
    }

}
