package cn.org.bjca.trust.java.imserver.repository;

import cn.org.bjca.trust.java.imserver.entitys.UserInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UserRepository extends JpaRepository<UserInfo, String> {

    UserInfo findFirstByUserIdAndOsTypeAndAppId(String userId, String osType, String appId);

    List<UserInfo> findAllByUserIdAndAppId(String userId, String appId);

    boolean existsByAppIdAndUserId(String appId, String userId);
}
