package cn.org.bjca.trust.java.imserver.controller.message.v1;

import cn.org.bjca.trust.java.imserver.HttpResult;
import cn.org.bjca.trust.java.imserver.bean.group.GroupCreateData;
import cn.org.bjca.trust.java.imserver.common.json.GsonImplHelp;
import cn.org.bjca.trust.java.imserver.request.RequestManager;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.*;

import static cn.org.bjca.trust.java.imserver.request.RequestConstant.Group_create_v1;

@RestController
@RequestMapping("message/v1")
public class MessageV1Controller {

    @PostMapping("/getHistory")
    public HttpResult<String> create(@RequestBody GroupCreateData groupCreateData, @RequestHeader HttpHeaders headers) throws Exception {
        System.out.println(GsonImplHelp.get().toJson(groupCreateData));
        return RequestManager.getInstance().request(Group_create_v1, groupCreateData, headers);
    }

}
