package cn.org.bjca.trust.java.imserver.entitys;


import cn.org.bjca.trust.java.imserver.entitys.converter.AbstractBaseTimeEntity;
import cn.org.bjca.trust.java.imserver.entitys.converter.AbstractBaseTimeEntityNoKey;
import cn.org.bjca.trust.java.imserver.entitys.converter.StringListConverter;
import jakarta.persistence.Column;
import jakarta.persistence.Convert;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import lombok.Data;

import java.util.List;

@Entity
@Data
public class GroupEntity extends AbstractBaseTimeEntity {
    private String appId;
    private String adminId;
    private String userId;

    private String groupId;
    private String groupName;
    private String faceUrl;

    public GroupEntity() {
    }

    public GroupEntity(String appId, String adminId, String userId, String groupId, String groupName, String faceUrl) {
        this.appId = appId;
        this.adminId = adminId;
        this.userId = userId;
        this.groupId = groupId;
        this.groupName = groupName;
        this.faceUrl = faceUrl;
    }
}
