package cn.org.bjca.trust.java.imserver.im.msg;


import cn.org.bjca.trust.java.imserver.entitys.GroupEntity;
import cn.org.bjca.trust.java.imserver.entitys.UserInfo;
import cn.org.bjca.trust.java.imserver.enums.PacketType;
import cn.org.bjca.trust.java.imserver.im.bean.PacketMessage;
import cn.org.bjca.trust.java.imserver.im.msg.msg.SZYXMessage;
import jakarta.persistence.CascadeType;
import jakarta.persistence.Entity;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.OneToOne;
import lombok.Data;

@Entity
@Data
public class ConversationMessage extends PacketMessage {
    public ConversationMessage() {
        super(PacketType.CONVERSATION);
    }

    private boolean isSender;
    private boolean isGroup;

    @OneToOne(cascade = CascadeType.ALL)
    @JoinColumn
    private SZYXMessage message;

    @OneToOne
    @JoinColumn
    private GroupEntity groupEntity;
    @OneToOne
    @JoinColumn
    private UserInfo userInfo;
    @OneToOne
    @JoinColumn
    private UserInfo self;
}
