package cn.org.bjca.trust.java.imserver.repository.tenant;

import cn.org.bjca.trust.java.imserver.entitys.sys.ApplicationEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

@Repository
public interface ApplicationRepository extends JpaRepository<ApplicationEntity, Long> {
    ApplicationEntity findFirstByAppNameAndTenantNo(String appName, String tenantNo);
    ApplicationEntity findFirstByAppId(String appId);
    boolean existsByAppId(String appId);
}
